## I Introduction

Ad-hoc networks have gained extensive research and analysis recent years due to the characteristics of self-organization and flexible networking [1]. However, because of the absence of a centralized administration and limited system resources, guaranteeing communication security in ad-hoc networks is quite challenging. Specifically, in a multi-hop environment, since the information needs to be transmitted and relayed multiple times, the threat from information leakage becomes higher and the secrecy guarantee is quite difficult. The traditional methods of interception avoidance are based on encryption technologies, which may not be applicable to emerging ad-hoc networks. For instance, the time-varying network topologies require complicated key management which is hard to accomplish in decentralized networks. Besides, the computing and processing abilities of the nodes may be limited and cannot afford the sophisticated encryption calculation.

On the other hand, physical layer security, an approach to achieve secrecy through the aspect of information theory by utilizing the characteristics of wireless channels, has been widely studied for its advantages of low complexity and convenient distributed implementation [2, 3]. As a result, various network models applying physical layer security have been investigated in the literature, such as interference channels [4, 5], broadcast and multi-access channels [6, 7], cooperative relay channels [8, 9, 10], and multi-antenna channels [11, 12, 13, 14]. The physical layer security approaches have also been introduced into the multihop ad-hoc or relaying networks. For instance, authors in [15] compared three commonly-used relay selection schemes for a dual-hop network with the constraints of security under the existence of eavesdroppers. The authors in [16] proposed an optimal power allocation strategy for a predefined routing path to maximize the achievable secrecy rates under the constraint of maximum power budget. The authors in [17] studied the secrecy and connection outage performance under amplify-and-forward (AF) and decode-and-forward (DF) protocols for an end-to-end route, and discussed the trade-off between security and QoS performance. The authors in [18] explored the method to guarantee the network security via routing and power optimization for a network with the deployment of cooperative jamming. In particular, [18] assumed over-optimistically that each jammer was located near one malicious eavesdropper to interfere the wiretapped information, which hardly be true in practice.

However, in the aforementioned works, perfect channel state information (CSI) and the locations of eavesdroppers are assumed to be available at the legitimate users, which is often impractical since the eavesdroppers usually work passively and remain silent to hide their existence. As a result, a general framework based on stochastic geometry was proposed to model the uncertainty of eavesdroppers’ location [19]. In fact, Poisson point process (PPP) is the most widely adopted distribution, and have been adopted in various researches studying network security, e.g. [20, 21, 22]. Under the framework of stochastic geometry, in [23] the authors investigated the secure routing problem. The routing strategy aimed to achieve the highest secure connection probability under the DF relaying protocol. The locations of eavesdroppers were assumed following the homogeneous PPP and both cases of colluding and non-colluding eavesdropping were considered. Yet, optimal power allocation was not considered and it is unclear how the power allocation affects the system performance.

We have to point out here that for the routing security in a multi-hop network, the performance of secure communication is coupled with the numbers of hops and the transmit powers of each hop. With higher (lower) transmit power, each hop can support a larger (smaller) transmission distance so that less (more) numbers of routing hops are required to successfully relay messages to the destination. However, higher (lower) transmit power increases (decreases) the probability of information leakage while less (more) numbers of routing hops decrease (increase) it. Hence a non-trivial trade-off naturally exists for the secrecy performance between the numbers of hops and the transmit powers of each hop. However, none of the above works has revealed such an interesting trade-off, which is the main focus of this paper. In particular, in this paper, we investigate the secure routing and transmit power optimization problem in DF relaying networks accompanied with PPP distributed eavesdroppers. The routing secrecy is evaluated by the minimum connection outage probability (COP) subject to the constraint of secrecy outage performance. The optimal route achieved the lowest COP is selected from all possible routing paths and the corresponding transmit power of each hop is also optimized. Moreover, friendly jamming is applied to further improve the security performance. Different from previous studies, we a) consider secure routing under randomly distributed eavesdroppers and optimize the transmit powers jointly, and b) solve the power optimization problem with jamming using both the optimal monotonic optimization and the successive convex approximation (SCA) methods. The main contributions are summarized as follows:

1) The secure routing design for a multi-hop network with the PPP distributed eavesdroppers is formulated as an optimization problem which minimizes the COP under a SOP constraint. The SOP and COP expressions for a given end-to-end path are derived in closed form. The closed-form expression of the optimal transmit powers is obtained. By analyzing the expression of the minimum achieved COP for a given route and defining the routing weights, the routing problem can be interpreted as finding the route with the lowest sum weights, which can be solved optimally by the Dijkstra’s algorithm.

2) A friendly jammer with multiple antennas is introduced to enhance the outage performance. For any fixed jamming power, the transmit powers allocation for the legitimate nodes on the obtained route is formulated as a monotonic optimization problem. The outer polyblock approximation with a one-dimension search algorithm is proposed to achieve the globally optimal solution. Later, to strike a balance between system performance and computational complexity, the SCA method is used to solve the problem considering its non-convexity feature. Though the solution derived from the SCA method is not globally optimal, the numerical results show that it achieves a close-to-optimal performance when it has a proper initial point.

3) The trade-off between the numbers of hops and the transmit powers of each hop is discussed for the routing security. The distribution of the numbers of the hops derived from simulation indicates that too many or few numbers of hops increase the leakage of information and rarely guarantee the security performance. This accentuates the importance of the joint consideration of transmit powers and secure routing.

The remainder of this paper is organized as follows. In Section II, we present the system model of the multi-hop relaying network and formulate the secure routing as an optimization problem. In Section III, the routing and power optimization method is provided. The power optimization problem taking into account of friendly jamming is proposed in Section IV, then the outer polyblock approximation algorithm and the SCA algorithm are given in Section V. Numerical results are presented in Section VI to illustrate the performance of the proposed algorithms. The conclusions are summarized in Section VII.

The following notations are used in this paper. and represent Hermitian transpose and absolute value, respectively. denotes the probability and denotes the mathematical expectation with respect to A.

represents the circularly symmetric complex Gaussian distribution with mean

and variance

. The union and difference between two sets and are denoted by and , respectively.## Ii System Model And Problem Description

We consider a multi-hop wireless ad-hoc network which consists of legitimate nodes [23]. The distribution of the eavesdroppers in the network follows the homogeneous PPP denoted as with density . Each of the legitimate nodes and eavesdroppers is equipped with a single omnidirectional antenna. One legitimate node aims to send messages to another in the network. In order to transmit information from the source node to the destination node securely, a routing path needs to be found. As we have mentioned before, there exists a non-trivial tradeoff between the numbers of hops and transmit powers. Therefore the messages can be sent either directly to the destination with a high transmit power, or through multihop via several relays. Assuming a routing path contains relay nodes, each hop can be denoted by , with the transmitter and the receiver at the -th hop denoted as and , respectively. Then, the entire routing path can be denoted by . An illustration of the system model is shown in Fig. 1.

The wireless channels are subjected to small-scale Rayleigh fading together with a large-scale path loss. Each Rayleigh fading coefficient ( and denote the transmitter and receiver of the path, respectively) is modeled as independent complex Gaussian with zero mean and unit variance, i.e., , and the path loss exponent is . We assume that the CSI and the locations of legitimate nodes are known while those of the eavesdroppers cannot be obtained because the eavesdroppers work passively.

Since each route from the source to the destination is composed of several hops, under DF relaying scheme, a widely adopted protocol in literature [15, 16, 17, 18], we first consider the transmission of hop from to . Let denote the symbol transmitted by , then the received signals at the legitimate receiver and the eavesdroppers are given by

(1) | |||

(2) |

where and denote the received signals at receiver and eavesdropper , respectively. denotes the transmit power of node in route . denotes the distance between and . and are the noises at and following .

Now we can derive the expressions of SNR at and , which are given by

(3) | |||

(4) |

respectively.

In this paper, we adopt
connection outage probability (COP) and secrecy outage probability (SOP) as performance metrics to measure the routing security. To improve security,
we let transmit nodes use different codebooks to retransmit the signal, so that the eavesdroppers cannot combine the wiretapped signals from multiple hops and could only decode these signals individually^{1}^{1}1

The problem with colluding eavesdroppers requires the CDF of the sum of a number of independent but not identical distributed variables which subject to exponential distribution and whose number follows a PPP distribution, which is quite complicated. Due to the space limitation, here we only focus on the non-colluding cases.

[24]. For an entire routing path, an end-to-end connection outage refers to the situation that the received SNR at any hop in the route is less than a predefined threshold , thus the receiver cannot decode the message successfully and the corresponding probability of this event is called connection outage probability. Secrecy outage occurs when the SNR of at least one eavesdropper at any hop surpasses the predefined threshold , hence the message can be intercepted by the eavesdropper(s). The probability of secrecy outage is called secrecy outage probability^{2}

^{2}2The traditional SOP defined as is equivalent to our definition when .. The COP and SOP are denoted as and , respectively.

We consider the problem of finding the optimal routing path and transmit powers of each hop to achieve the lowest COP subject to a constraint that the SOP is no more than a predetermined value. Denote as the set of all feasible routing paths from the source to the destination and as the maximum tolerable SOP, the optimization problem can be defined as:

(5) |

The objective function is equivalent to optimizing the route and transmit powers sequentially, that is

(6) |

Therefore, in the following section, a secure routing method is proposed to solve this problem. The method can be divided into two parts: First, we optimize the transmit powers for any given route; then we find the optimal secure route from the source to the destination.

## Iii Power optimization and Secure Routing

In this section, we study problem (5) and propose a method finding a secure route with power optimization strategy for the considered multi-hop network. The closed-form expressions of COP and SOP are derived first and then be used to facilitate the optimization of transmit power. Finally the optimal secure routing path is obtained.

### Iii-a Connection and Secrecy Outage Probabilities

First, we derive the exact expressions of COP and SOP for a given route. According to the definition of COP and the assumption of independent fading in Section II, the COP for route denoted as can be written as

(7) |

where (7) holds since the fading coefficient follows an exponential distribution with .

On the other hand, due to the usage of different codebooks at each hop and since the distribution of eavesdroppers follows a homogeneous PPP, the SOP for route denoted as is given by

(8) |

To facilitate the derivation of a concise SOP expression, the distribution of eavesdroppers for each hop is assumed to be uncorrelated with each other, which represents an upper bound of the original stationary eavesdroppers assumption [25]. Hence can be reformulated as

(9) |

where holds for the probability generating functional lemma (PGFL) for the homogeneous PPP [26] under the assumption that the transmitter of each hop locates at the origin of the polar coordinate and holds for the integration formula [References, 3.326.2] with .

Till now, we have obtained the expressions for and in (7) and (9), respectively. The two formulas indicate that the powers of transmitters has opposite influence for COP and SOP. A higher power leads to less communication outage while a higher probability of information leakage. Therefore, when study the COP and SOP performance jointly, this trade-off needs to be considered and a careful design is required for the transmit powers. For the sake of conciseness, defining and , (7) and (9) can be simplified as

(10) | ||||

(11) |

respectively.

### Iii-B Transmit Power Optimization

Now we focus on optimizing the transmit powers of each hop to minimize the COP while satisfying the maximum tolerable SOP constraint. The power optimization problem for any given route can be written as

(12) |

Substituting (11) into the inequality constraint of (12), we have

(13) |

which can be further transformed into

(14) |

Notice that is a non-increasing function of . Since the expression on the left side of the inequality constraint is non-decreasing respect to , this problem reaches its optimum when the inequality constraint is active at the optimal solution. As a result, we can safely replace the inequality sign with an equality sign and (12) can be rewritten as

(15) |

Problem (15) is not convex since its constraint is not affine (except when , which represents propagation in free space). In order to reformulate (15) into a convex form, defining , we have . Therefore, (15) can be rewritten as

(16) |

Problem (16) is a convex problem due to its convex objective function and affine equality constraint and its global optimum can be obtained. Applying the Lagrange multiplier method associated with the equality constraint in (16), we have the following function:

(17) |

where is the Lagrange multiplier. Then we set the partial derivatives of respect to to zero, which yields

(18) |

Substituting (18) into the constraint in (16), the expression of is derived as

(19) |

Then substitute (19) into (18), and we have

(20) |

Finally, using , we derive the optimal transmit power of hop as

(21) |

The influence of density of eavesdroppers and SOP constraint on the transmit power can be observed from (21). The increase of and the decrease of lead to the decrease of . This result is comprehensible since the decrease of will lower the risk of information leakage, hence to guarantee the security under the existence of more eavesdroppers and satisfy a more stringent SOP constraint.

So far, we have solved the inner optimization of (6). We still need to find the secure route with the minimum COP from all possible paths in the multi-hop network.

### Iii-C Optimal Route Selection

Since the transmit power of any route under the SOP constraint has the form shown in (21) and is expressed as (10), the secure routing problem can be rewritten as

which is equivalent to

(22) |

Considering to be the weight of hop , expression (22) can be interpreted as to find the optimal route which has the minimum sum of weights. This can be solved by the Dijkstra’s algorithm effectively. Having obtained the optimal route and calculated the transmit powers for all transmission nodes using (21), the minimum COP can be obtained via (10). The whole optimization procedure is shown in Algorithm 1.

The relation of the optimal route and the system parameters of the network is worthy discussing. From (22) we notice that the routing optimizing is determined by the weight , which is independent of the information of eavesdroppers as well as the constraint on SOP. This indicates that changing the density of eavesdroppers in the network and SOP threshold of the optimization problem does not impact the final selection of secure route. This can be interpreted from the following perspective. Since the distribution of eavesdroppers is homogeneous and the CSI along with the locations of eavesdroppers are unknown, eavesdroppers appears homogeneously for any route path of the legitimate network. As a result, the expected influence of eavesdroppers toward all options are equal, or we can say the information of eavesdroppers does not affect the optimal routing design. Hence the constraint set by which constrains the eavesdroppers has no affect on routing either.

## Iv Transmission power optimization with friendly jamming

Algorithm 1 provides us an effective way to obtain the secure route and the optimal transmit powers under the existence of random distributed eavesdroppers. In order to enhance the security performance further, we now consider the existence of a friendly jammer [29]. This scenario is often feasible in practical applications. Take the device-to-device (D2D) communication system as an example. A cellular base station can work as a friendly jammer to interfere with the interception of eavesdroppers and assist the legitimate communication among the D2D users. Hence in this section, based on the optimal secure route obtained from Algorithm 1, friendly jamming is introduced and the transmit power optimization problem of each transmit node on the secure route is reconsidered.

Based on the system model described in Section II

, we assume that there is a jammer equipped with multiple antennas in the network. The channels from the jammer and the transmitters to the legitimate receivers and to the malicious eavesdroppers are assumed uncorrelated with each other. To secure the transmission, the friendly jammer radiates artificial noise isotropically in the nullspace spanned by the channel vectors of the legitimate nodes to avoid interfering with the legitimate network. The system model is depicted in Fig.

2. With the knowledge of channel fading coefficients from the jammer to the legitimate receiver , denoted as , the jammer adjusts its beamforming weight vector to suppress the artificial noise to legitimate receiver according to(23) |

Denote the optimal route obtained from Algorithm 1 as , the transmit power for node in as , the transmit power of jammer as , and the transmit power of jammer as with its beamforming weight vector normalized as . Due to (23), the expression of COP is identical to (7). We assume that the interference produced by the jammer is much larger than the noise, then the noise at the eavesdroppers can be neglected and the expression of SOP is given by

(24) |

In fact, expression (24) is an upper bound of the accurate SOP under jamming due to the neglect of noise, which represents a worst case of the exact value.

Due to and the independence between and , follows an exponential distribution with . Therefore we have

(25) |

Substituting (25) into (24) and using PGFL, SOP can be expressed as

(26) |

where denotes the distribution area of eavesdroppers, and the location of . (26) cannot be expressed in closed form due to the complexity of with respect to .

The expressions of COP and SOP with friendly jamming have been derived in (7) and (26). Then the transmit power optimization problem with the assistance of a multi-antenna jammer under a total transmit power constraint can be written as

(27) |

Following the same procedures transforming (12) to (15) and using for brevity, (27) is equivalent to

(28) |

Problem (28) is not a convex optimization problem. Interestingly, however, the objective function is monotonic respect to , under a fixed , then (28) turns to a monotonic optimization problem under a fixed . Therefore, we propose an outer polyblock approximation algorithm to obtain the global optimal solution of the inner monotonic optimization problem under a fixed , and the solution of (28) can be derived by searching within the results obtained from the outer polyblock algorithm for different . Then we propose an SCA algorithm to reduce the complexity, at the price of obtaining a sub-optimal solution.

## V Algorithms for Power Optimization with Jamming

In this section, we present our methods to solve problem (28). The method based on outer polyblock approximation and one-dimension search is proposed first, and the SCA algorithm is put forward next to reduce the complexity.

### V-a Outer Polyblock Approximation and One-dimention Search

The power optimization for transmit nodes under a fixed is considered first. This problem can be written as:

(29) |

which is a monotonic optimization problem with respect to . We aim to solve (29) via the outer polyblock approximation algorithm based on the theory of monotonic optimization theory. The solution obtained through the proposed iterative algorithm reaches the global optimum [30].

Now we rewrite (29) into a canonical form of monotonic optimization. In order to simplify the expressions, we define

(30) |

and rewrite the optimization variables as a transmit power vector , while the power region is defined by

(31) |

Based on the above definitions, problem (29) can be written in the following form:

(32) |

In the sequel, we aim to solve (32). The polyblock algorithm is proposed to obtain its globally optimal solution.

1) Preliminaries: In this subsection, we explain that problem (32) is a monotonic optimization problem. First, several definitions are listed as follows to facilitate the presentation [30, 31, 32, 33].

###### Definition 1

Given any two vectors , denotes that . If and , , we say *dominates* ;
If , we say *strictly dominates* and write .

###### Definition 2

Function is
called an
*increasing* function on if for two vectors ,
can be implied from .
Function is called *strictly increasing* if
for any two vectors , can be implied from .

###### Definition 3

Set is a *normal* set if for all ,
any points dominated by also belongs to .

###### Definition 4

A point is said to be an *upper boundary point* of a compact normal set if and no point in strictly dominates . All the upper boundary points of constitute the *upper boundary* of ,
which is denoted by .

###### Definition 5

For vector , the hyper rectangle is called a box with being its vertex. The union of a finite number of boxes is referred to as a polyblock.

Now, we provide some important results of optimization problems based on polyblock via the following proposition.

###### Proposition 1

A strictly increasing function reaches its maximal value over a polyblock at one vertice of the polyblock.

###### Proof 1

Suppose that attains the global maximum at which is not a vertex of the polyblock, then there must exists one vertex dominating , i.e, and . holds since is strictly increasing, which is contradicted against the assumption that reaches the optimum.

Based on the definitions and the proposition above, we have the following proposition.

###### Proposition 2

Optimization problem (32) is a monotonic problem which has an increasing objective function with respect to and the power region is a compact normal set.

###### Proof 2

2) Outer Polyblock Generation: Proposition 1 reveals that the maximum of an increasing function can be found via searching among the vertices of the polyblock. Thus for a monotonic optimization problem, we can gradually approach its region by iteratively generating a series of polyblocks and find its maximum via searching.

In the following paragraphs, a method to generate the polyblocks is provided. First, we aim to find the vertex achieving the maximal value of on the polyblock. We use to denote the polyblock generated at the -th iteration, the vertex set of the polyblock , then the vertex maximizing denoted as can be found by searching in set .

Then we project onto the upper boundary of along the line segment through the origin to and get the intersection point . Denoting the th element of vector as and the scaling parameter as , the projection operation can be represented as solving the following optimization problem

(33) |

The intersection point can be calculated by , and the new vertices adjacent to are generated according to

(34) |

where denotes the th new vertex generated at the th iteration, denotes the th element of and is the

th column of the identity matrix of size

. Then the new vertex set is defined by(35) |

The new polyblock is the union of the boxes defined by vertices in . An illustration of the generation procedure is depicted in Fig. 3.

3) Outer Polyblock Approximation Algorithm: Based on the polyblock generation method, an iterative algorithm is proposed to obtain the optimal solution for problem (32). The algorithm starts from calculating the initial vertex for the first iteration. It is clear that the initial vertex should be the upper bound of the problem so that the box could cover the power region . Obviously an upper bound is achieved when and are relaxed for each item separately, which can be written more specifically as

(36) |

The solution of (36) acts as the initial vertex . Note that the selection of the initial point does not impact the final results since the solution of the outer polyblock approximation algorithm always converges to the global optimum.

In the th iteration, the optimal vertex is first derived by searching in vertex set , and the corresponding maximal value over polyblock is denoted as . Then the scaling parameter and the intersection point on the upper boundary of is derived by solving (33). The optimal intersection point till the th iteration is obtained via

(37) |

and are the upper and lower bound of the optimal value respectively, thus is always satisfied. If is lower than a predefined number , is greater than by no more than . We quit the iteration and called an -optimal solution to problem (32). Otherwise, a new polyblock is generated and the above procedure is repeated till an -optimal solution is obtained.

Suppose that the optimal solution is located in the region defined by with being a small positive number, then the polyblock algorithm would converges with a fairly low speed as gradually approaching this region, as depicted in Fig.3. Thus, in order to guarantee the convergence speed of the algorithm, we replace the region by . The parameter reflects the tradeoff between the accuracy and computational complexity.

The procedure for solving (32) is summarized in Algorithm 2. The convergence explanation can be found in [References, Theorem 1]. Given the accuracies and , the proposed algorithm will terminate after a finite number of iterations and an -approximate optimal solution for problem (32) can be derived.

So far, we have solved (29) through outer polyblock approximation algorithm and obtained the optimal powers of route under a fixed . By varying the value of , a series of solutions for (29) under different can be derived, and the solution of (28) can be derived through searching within these solutions.

Computational complexity analysis: It is clear that the searching precision of is influential to the computational complexity. The complexity of the polyblock algorithm is sensitive to the values of and which influence the number of iterations of Algorithm 2. In each iteration, the accuracy requirement of the bisection method for finding the projection point of the best vertex on the upper boundary

Comments

There are no comments yet.